;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian easypg package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
;; Adapted to only load on emacsen where we have built this package 
;; by Ralf Doering <rdoering@netsys-it.de>

;; The easypg package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(if (not (file-exists-p "/usr/share/emacs/site-lisp/easypg"))
    (message "Package easypg removed but not purged.  Skipping setup.")
  (let ((easypg-pkg-path (concat "/usr/share/" (symbol-name debian-emacs-flavor) "/site-lisp/easypg")))
    (if (not (file-exists-p easypg-pkg-path))
	(message "Package easypg not available for this emacs flavour. Skipping.")
      (debian-pkg-add-load-path-item easypg-pkg-path)
      (require 'epa-setup))))



